package jeu;

import jeu.*;
import java.awt.Color;
/**
 * <code>PieceVide</code> est une implémentation de l'interface
 * <code>Piece</code> représentant une case vide.
 *
 * @author Pierre.Courtieu at univ-orleans.fr
 * @author Jeremy.Briffaut at ensi-bourges.fr
 * @version 1.0
 */
public class PieceVide implements Piece {
    public class PieceVideException extends RuntimeException{}

    public PieceVide() {
    }
    public java.awt.Color[][] getIcon(java.awt.Color fond) {
        java.awt.Color[][] t = new java.awt.Color[1][1];
        t[0][0] = fond;
        return t;
    }

    public Character getName() {
        return new Character(' ');
    }


}
/*
 *** Local Variables: ***
 *** buffer-file-coding-system: utf-8 ***
 *** tab-width: 4 ***
 *** compile-command: "cd ../.. ; javac -d classes -sourcepath src/ src/jeudedames/PieceVide.java" ***
 *** End: ***
 */
